/****************************************************
 
 FILE:        
 DESCRIPTION:  
 Results:
 
 History:
       22-may-95 bc Create for bokun. 

 Copyright (c)1993-94  Natural MicroSystems Corporation. All rights 
reserved.

****************************************************/

#include <stdio.h>                  /* Standard C include files */
#include <stdlib.h>
#include <string.h>
 
#include "me2def.h"             /* Multiline Engine include files */
#include "me2.h"
#include "me2err.h"
#include "swpath.h"                 /* SwitchPath include file */

  
ME2INT WaitEvent();
 
/****************************************************

 MODULE:      main
 DESCRIPTION:  
*****************************************************/

int main(argc, argv)
     int argc;
     char *argv[];
{
  ME2INT status, line,VBXLineNum ,j,vgroup,ch_id;  
  int i, a, temp, END=1;
  short ampl = 45;
  char filename[20], sit_type[4];
  short  event;
  TRITONE NC[3],
          IC[3],
          VC[3],
          RO[3];

  status = Me2RequestChannel( 99,  "gak" );        
  printf("s1 %d\n",status);   
  status = Me2GrabLine( 0);
  printf("s2 %d\n",status);   
  status = WaitEvent(RINGEND,15000L);
  printf("s3 %d\n",status);   
  Me2SetLineMode(PICKUP);
  status = Me2GetLine();
  printf("gotline %d\n",status);

  NC[0].dur20ms = 19;
  NC[0].telctrl = 0x0;
  NC[0].freq1 = 985;
  NC[0].ampl1 = ampl;
  NC[0].freq2 = 1428;
  NC[0].ampl2 = 0;
  NC[0].freq3 = 1777;
  NC[0].ampl3 = 0;

  NC[1].dur20ms = 19;
  NC[1].telctrl = 0x0;
  NC[1].freq1 = 985;
  NC[1].ampl1 = 0;
  NC[1].freq2 = 1428;
  NC[1].ampl2 = ampl;
  NC[1].freq3 = 1777;
  NC[1].ampl3 = 0;

  NC[2].dur20ms = 19;
  NC[2].telctrl = 0x0;
  NC[2].freq1 = 985;
  NC[2].ampl1 = ampl;
  NC[2].freq2 = 1428;
  NC[2].ampl2 = 0;
  NC[2].freq3 = 1777;
  NC[2].ampl3 = ampl;


  IC[0].dur20ms = 14;
  IC[0].telctrl = 0x0;
  IC[0].freq1 = 914;
  IC[0].ampl1 = ampl;
  IC[0].freq2 = 1371;
  IC[0].ampl2 = 0;
  IC[0].freq3 = 1777;
  IC[0].ampl3 = 0;

  IC[1].dur20ms = 14;
  IC[1].telctrl = 0x0;
  IC[1].freq1 = 914;
  IC[1].ampl1 = 0;
  IC[1].freq2 = 1371;
  IC[1].ampl2 = ampl;
  IC[1].freq3 = 1777;
  IC[1].ampl3 = 0;

  IC[2].dur20ms = 19;
  IC[2].telctrl = 0x0;
  IC[2].freq1 = 914;
  IC[2].ampl1 = ampl;
  IC[2].freq2 = 1371;
  IC[2].ampl2 = 0;
  IC[2].freq3 = 1777;
  IC[2].ampl3 = ampl;
 
  

  VC[0].dur20ms = 19;
  VC[0].telctrl = 0x0;
  VC[0].freq1 = 985;
  VC[0].ampl1 = ampl;
  VC[0].freq2 = 1371;
  VC[0].ampl2 = 0;
  VC[0].freq3 = 1777;
  VC[0].ampl3 = 0;

  VC[1].dur20ms = 19;
  VC[1].telctrl = 0x0;
  VC[1].freq1 = 985;
  VC[1].ampl1 = 0;
  VC[1].freq2 = 1371;
  VC[1].ampl2 = ampl;
  VC[1].freq3 = 1777;
  VC[1].ampl3 = 0;

  VC[2].dur20ms = 14;
  VC[2].telctrl = 0x0;
  VC[2].freq1 = 985;
  VC[2].ampl1 = ampl;
  VC[2].freq2 = 1371;
  VC[2].ampl2 = 0;
  VC[2].freq3 = 1777;
  VC[2].ampl3 = ampl;


  RO[0].dur20ms = 14;
  RO[0].telctrl = 0x0;
  RO[0].freq1 = 914;
  RO[0].ampl1 = ampl;
  RO[0].freq2 = 1428;
  RO[0].ampl2 = 0;
  RO[0].freq3 = 1777;
  RO[0].ampl3 = 0;

  RO[1].dur20ms = 19;
  RO[1].telctrl = 0x0;
  RO[1].freq1 = 914;
  RO[1].ampl1 = 0;
  RO[1].freq2 = 1428;
  RO[1].ampl2 = ampl;
  RO[1].freq3 = 1777;
  RO[1].ampl3 = 0;

  RO[2].dur20ms = 19;
  RO[2].telctrl = 0x0;
  RO[2].freq1 = 914;
  RO[2].ampl1 = ampl;
  RO[2].freq2 = 1428;
  RO[2].ampl2 = 0;
  RO[2].freq3 = 1777;
  RO[2].ampl3 = ampl;


  while (END){
    printf ("\nSelect one of NC, IC, VC, or RO =>>");
    scanf ("%s", sit_type);

    Me2TriTone(sit_type,3);
    status = WaitEvent(TRITONDONE,-1L);

    printf ("\nEND = ");
    scanf ("%i", &END);
    puts ("\n");
  }


  for (i =0; i <2; i++){
    puts ("\nSIT: Operator Intercept");
    Me2TriTone(IC,3);
    status = WaitEvent(TRITONDONE,-1L); 
  }

  Me2Beep (2);
  status = WaitEvent(BEEPDONE,5000L); 
  
  puts ("\nSIT: Vacant Circuit");
  status = WaitEvent(BEEPDONE,50000L); 
  Me2TriTone(VC,3);
  status = WaitEvent(TRITONDONE,-1L);



  puts ("\nSIT: No Circuit");
  Me2TriTone(NC,3);
  status = WaitEvent(TRITONDONE,-1L);


  
  puts ("\nSIT: Reorder");
  Me2TriTone(RO,3);
  status = WaitEvent(TRITONDONE,-1L);

  status = Me2ReleaseLine();  
  status = WaitEvent(LINRLSE,5000L);       
      
}


/******************************************************

 MODULE:      WaitEvent
 DESCRIPTION: Wait for a particular event

*******************************************************/

ME2INT WaitEvent(expected, t_o)
     int expected;
     long t_o;
{
  ME2INT event;
  ME2INT  rc;
  char *id = "WaitEvent()";

  for (;;)
    {
      /* Wait for an event to come through the event queue */
      rc = Me2WaitEvent( t_o );
      
      if( rc != SUCCESS )
        {
           break ;
        }

      rc = Me2GetEvent( &event, QREMOVE ) ;
      if( rc != SUCCESS )
         {
           break ;
         }
      printf("Got event 0x%X, %s \n",
             event, (char *) Me2GetEventName(event));

      if (event == expected)
        break ;
    }
  return rc ;
}
 
