/****************************************************************************
FILE:	  me2beep.h
****!!!! THIS MODULE FOR CUSTOMER USE !!!!****
AUTHOR:   Michael Hoffman
CREATED:  880330

UPDATES:
   $$History
;	 1 ME2BEEP.H 28-Jun-89,19:39:36,`GS' Placed under revision control
;	 2 ME2BEEP.H 15-Mar-90,20:37:14,`GS' Added includes.
;	 3 ME2BEEP.H 16-Mar-90,11:13:20,`GS' Added PRMTTBEEPSTOP. Removed externs.
;	 4 ME2BEEP.H 16-Aug-90,16:55:00,`GS' Include os2def.h
;	 5 ME2BEEP.H 29-May-91,15:48:10,`GS' (RGP) Added UNIX conditional
   $$History
****!!!! EXCISE ABOVE FOR CUSTOMER USE !!!!****
DESCRIPTION:

All necessary definitions for the ME2BEEP function.

Copyright (c) 1987-90 Natural Microsystems Corporation.  All rights reserved.
****************************************************************************/

/* #include <os2def.h> */
#include <me2.h>
#include <me2def.h>
#include <me2err.h>
#ifdef UNIXMODE
#include <vbxdrv.h>
#else
#include <me2drv.h>
#endif
#include <vox.h>

#define MSGPLAYBEG	0
#define MSGPLAYDONE	1
#define MSGPLAYSTOP	2
#define MSGPLAYFAIL	3
#define MSGRECBEG	4
#define MSGRECDONE	5
#define MSGRECSTOP	6
#define MSGRECFAIL	7
#define MSGRECHGUP	8
#define MSGRECBGHGUP	9
#define MSGBEEPBEG	10
#define MSGBEEPDONE	11
#define MSGBEEPSTOP	12
#define MSGBEEPFAIL	13
#define MSGOUTOFFRMS	14
#define MSGFRMOVERUN	15
#define MSGVTIMERR	16

#define PRMBEEPOVLY	  5
#define PRMTTBEEPSTOP	  6












