
#***************** makefile ***********************#
#                                                  #
#  This file contains the information necessary    #
#  for the compiler and linker to create callprocs #
#  from callprocs.c in the UNIX executable.        #
#                                                  #
#  Made by Bo-kyun Na in HamBag.                   # 
#                                                  #
#**************************************************#

CFLAGS = -DUNIXMODE  -I/usr/bkna/hambag/include -M3 
LIBDIR = /usr/bkna/hambag/lib
ME2LIB = /opt/nms/mex/lib/libme2.a
DSPLIB = /usr/bkna/hambag/lib/libdsp1.a
CMPLR = cc
TARGET = spcp6

#-----------------------------------------------------------------------
all : ${TARGET}
#-----------------------------------------------------------------------
${TARGET} : $$@.o 
	${CMPLR} $@.o ${LIBDIR}/libswpath.a ${ME2LIB} -o $@ -lx
$$@.o : $$@.c
	${CMPLR} -c ${CFLAGS} $@.c
#-----------------------------------------------------------------------
clean:
	rm ${*}.o
#-----------------------------------------------------------------------
