;*****************************************************************************
; FILE:        DEMO.PRO
; DESCRIPTION: This file contains application specific information pertaining
;              to parameter definitions for a particular installation
;              of the DEMO program.  This is the .PRO file that is modified
;              according to the individual needs of the user.  Changes to
;              things such as recording compression level, and maximum
;              recording time should be changed here.
;
;              The DEMO program explicitly loads this .PRO file using
;              Me2ParmLoad.  Refer to DEMO.C.
;
;****!!!! This module for customer use; begin stripping.
;  $$History
;   1 USERDEMO.PRO 8-Jun-88,11:56:52,`MAKER' Placed under revision control
;   2 USERDEMO.PRO 13-Apr-90,16:52:14,`GS' Deleted lineattached
;   3 DEMO.PRO 8-Apr-92,9:04:12,`JP' Renamed to DEMO.PRO for release 1.5
;  $$History
;****!!!! End of stripping.
;
; Copyright (c) 1987-92 Natural MicroSystems Corporation. All rights reserved.
;*****************************************************************************

voice.compression = 4    ; Highest voice quality
beep.tone_on      = 15   ; Shorter beep tone on record
demo.max_record   = 30   ; Use 30 second limit on record instead of default.

;*****************************************************************************
