# Installs in /usr/X11R6/bin
Summary: Video4Linux Stream Capture Viewer
Name: xawtv
Version: 2.40
Release: 1
Source0: xawtv-%{version}.tar.gz
Group: X11/Applications/Graphics
Copyright: GNU GENERAL PUBLIC LICENSE
URL: http://www.in-berlin.de/User/kraxel/v4l/xawtv-%{version}.tar.gz
Vendor: Gerd Knorr <kraxel@goldbach.in-berlin.de>
BuildRoot: /var/tmp/xawtv-%{version}.root

%description
A collection tools for video4linux:
 * xawtv    - X11 TV application
 * fbtv     - console TV application
 * radio    - console radio application
 * streamer - capture tool (images / movies)

Also included (source only):
 * kradio   - X11 radio application (requires KDE)
 * my bttv driver source tree, which has sometimes bugfixes / new features
   / new bugs which are not (yet) preset in Ralphs version.
 * a few unimportant test tools 

%prep
%setup 

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 --disable-kradio
make dep && make

%install
make R="$RPM_BUILD_ROOT" SUID_ROOT="" install

%files
/usr/X11R6/man
/usr/X11R6/lib
/usr/X11R6/bin/fbtv
/usr/X11R6/bin/radio
/usr/X11R6/bin/set-tv
/usr/X11R6/bin/streamer
/usr/X11R6/bin/xawtv
/usr/X11R6/bin/xawtv-remote
%attr(4711, root, root) /usr/X11R6/bin/v4l-conf

%doc README Changes COPYING Programming-FAQ Trouble-Shooting Sound-FAQ

%post
cd /usr/X11R6/lib/X11/fonts/misc
mkfontdir
xset fp rehash || true

