
###-------------------------------------------------------------###
###  Program Name : odo       	 				###
###								###
###  Copyrights 						###
###  reserved by Bo-kyun Na (bkna@top.cis.syr.edu)		###
###-------------------------------------------------------------###
###  USAGE:							###
###  To run a makefile: make -f odo.mk	 			###
###  To clean:          make -f odo.mk clean			###
###-------------------------------------------------------------###

PGRM=   audrec3

### compiler
CC = gcc

###
###  Target Object Files
###
OBJS=	audrec3.o 

###
###  Additional Flags/Libraries
###
CFLAGS += -g -O -I./include -I/usr/demo/SOUND/include
LDLIBS += -lxil -lX11 -lm -lotiaudio /usr/demo/SOUND/lib/libaudio.a

###------------------------------------------------------------------------
all: $(PGRM)
###------------------------------------------------------------------------
$(PGRM): $(OBJS) 
	${LINK.c} $(LDFLAGS) $(OBJS) -o $@ $(LDLIBS) 

clean: 
	rm -f core $(OBJS)

###------------------------------------------------------------------------
