#ifndef _O1K_CNTRL_H
#define _O1K_CNTRL_H

typedef enum _CntrlType {
  CNTRL_NONE,  CNTRL_CALLING, CNTRL_JOINING,  CNTRL_TIMEOUT,
  CNTRL_ACCEPTED, CNTRL_HANGUP
}  CntrlType;

typedef struct _CallInfo {
  CntrlType        ctype;
  char source[MAX_NAME_SIZE];
  AudioType        atype;
  AudioChannels    channels;
  AudioSampleRate  sample_rate;
  VideoType        vtype;
  VideoSize        size;
  unsigned int     framerate;
} CallInfo;

#endif

