/* @(#)params.h	1.23 94/05/13  */

#ifndef PARAMS_H
#define PARAMS_H

enum compressor_type {
    JPEG, CELLB, UYVY, H261
};

#define MAXSENDTO	32

typedef struct {
    char hostname[MAXSENDTO][64];
    int hostnameknt;
    char *cis_type;
    enum compressor_type do_cis;
    int x, y;
    int width, height;
    int scalex;
    int scaley;
    int channel;
    int frames;
    int preview;
    int whichinput;
    char *devname;
    char *windowname;
    int image_skip;
    int max_buffer;
    char *datafile;
    int cellb_xy_addr;
    int transmit;
    int polling;
    int error_out;
    char *pattern;
    int  h261_bitrate;
    int  h261_maxquant;

} Parameters;

extern int verbose;
extern Parameters *initialize_parameters(int argc, char **argv);
extern void close_parameters(Parameters * pblock);

#endif
