/* $Id: play.h 1.1 1999/01/25 17:30:31 scl Exp $ */
/****************************************************************
 ** File: File Long Name ($RCSfile: play.h $)
 **
 ** ($$)
 **
 ** Abstract:
 **   Header File.
 **   
 ** Copyright (c) 1998, MultiMedia Access Corp
 **                     Osprey Technologies Division
 ****************************************************************/
#ifndef PLAY_H
#define PLAY_H

#include "opi.h"

#define APP_OK     0
#define APP_ERROR -1

extern int VIDEO_WIDTH;
extern int VIDEO_HEIGHT;
extern char* VIDEO_FORMAT;

extern int WINDOW_WIDTH;
extern int WINDOW_HEIGHT;

class CPlay
{
public:
  CPlay();
  ~CPlay();
  void setVideoFile(char* filename) { videofile = filename; };
  int PlayBack();
  static void CALLBACK DoneBuffer(OPIBuffer* buffer, void* userData);
  void setFarView(int flag) { farview = flag; }

private:
  OPIPipeline* pipeline;
  OPIWindow* window;
  int num_queued;
  OPISystem* opi;
  char* videofile;
  int farview;	
};

#endif // PLAY_H
