// $Id: record.h 1.2 1998/07/08 19:50:13 kimng Initial_Build $ 
//****************************************************************************
// File: File Long Name ($RCSfile: record.h $)
//
// ($Revision: 1.2 $)
//
// Abstract:
//   Header File.
//
// Revision History:
//   $Log: record.h $
//   Revision 1.2  1998/07/08 19:50:13  kimng
//   coding stds
//
// Copyright (c) 1998, MultiMedia Access Corp. - Osprey Systems Division
//****************************************************************************
#ifndef RECORD_H
#define RECORD_H

#include "opi.h"

#define APP_OK     1
#define APP_ERROR -1

class CRecord
{
public:
  CRecord();
  ~CRecord();
  void setAudioFile(char* filename) { audiofile = filename; }
  int Record();
  static void CALLBACK SaveBuffer(OPIBuffer* buffer, void* userData);
  
private:
  OPIPipeline* pipeline;
  int buffers_saved;
  OPISystem* opi;
  FILE* fd;
  char* audiofile;
};
#endif //RECORD_H
