/* $Id: loopback.h 1.1 1999/01/25 17:30:46 scl Exp $ */
/*************************************************************
 ** File: File Long Name ($RCSfile: loopback.h $)
 **
 ** ($ Revision: $)
 **
 ** Abstract:
 **   Header file.
 ** 
 **   Copyright (c) 1998, MultiMedia Access Corp
 **                     Osprey Technologies Division
 *************************************************************/
#ifndef LOOPBACK_H
#define LOOPBACK_H

#include "opi.h"

#define APP_OK     0
#define APP_ERROR -1

extern int VIDEO_WIDTH;
extern int VIDEO_HEIGHT;
extern char* VIDEO_FORMAT;

extern int WINDOW_WIDTH;
extern int WINDOW_HEIGHT;

extern int bitrate;
extern int max_q;

class CLoopback
{
public:
	CLoopback();
	~CLoopback();
	int Loopback();

    void setLocalView(int flag) { localview = flag; }
    void setFarView(int flag  ) { farview   = flag; }
    void setSplitPipeline(int flag  ) { splitpipeline   = flag; }
    
private:
	OPISystem*   opi;
	OPIPipeline* pipeline;
	OPIPipeline* pipeline2;
	OPIWindow*   localWin;
	OPIWindow*   decompWin;

    int localview;	
    int farview;	
    int splitpipeline;
};
#endif //LOOPBACK_H
