/* $Id: playraw.h 1.5 1998/07/10 19:04:15 brettb Initial_Build $ */
/*****************************************************************************
 ** File: File Long Name ($RCSfile: playraw.h $)
 **
 ** ($Revision: 1.5 $)
 **
 ** Abstract:
 **   This class is used to play video from a file to the display
 **   
 ** Copyright (c) 1998, MultiMedia Access Corp - Osprey Technologies Division
 ****************************************************************************/
#include "opi.h"

#define APP_OK     0
#define APP_ERROR -1
#define WIDTH     320
#define HEIGHT    240
#define DEPTH     16

class CPlayRaw
{
public:
	CPlayRaw();
	~CPlayRaw();
	void setVideoFile(char* filename) { videofile = filename; };
	int PlayBack(char* color_format = "RGB565");
	static void CALLBACK DoneBuffer(OPIBuffer* buffer, void* userData);
	
private:
	OPIPipeline* pipeline;
	OPISystem* opi;
	char* videofile;
        int primedBuffers;
        FILE *fd;
};

