//  tutapp.cpp

// top level code for guitar tutor application

#include "tutapp.h"

vWindow *tutApp::NewAppWin(vWindow *win, char *name, int h, int w,
			   vAppWinInfo *winInfo)
{
  UserDebug1(Build,"tutApp::NewAppWin(%s)\n", name);
  vWindow *thisWin = win;
  vAppWinInfo *awinfo = winInfo;
  char *myname = name;

  if (!*name)
    myname = "Guitar Tutor";

  if (!thisWin)
    thisWin = new tCmdWindow(myname, h, w);

  if (!awinfo)
    awinfo = new vAppWinInfo(myname);

  return vApp::NewAppWin(thisWin,name,h,w,awinfo);
}

void tutApp::Exit(void)
{
  UserDebug(Build,"tutApp::Exit()\n");
  vApp::Exit();
}

void tutApp::CloseAppWin(vWindow *win)
{
  UserDebug(Build,"tutApp::CloseAppWin()\n");
  vApp::CloseAppWin(win);
}

void tutApp::AppCommand(vWindow *win, ItemVal id, ItemVal val,
			CmdType cType)
{
  UserDebug1(Build,"tutApp::AppCmd(ID: %d)\n",id);
  vApp::AppCommand(win, id, val, cType);
}

static tutApp tut_App("TutorApp");

int AppMain(int argc, char **argv)
{
  (void) theApp->NewAppWin(0, "Guitar Tutor", 200, 300, 0);
  return 0;
}
