// tutapp.h

// definitions for guitar tutor application

#ifndef TUTAPP_H
#define TUTAPP_H

#ifdef vDEBUG
#include <v/vdebug.h>
#endif

#include <v/vapp.h>
#include <v/vawinfo.h>

#include "tcmdwin.h"

class tutApp : public vApp
{
  friend int AppMain(int, char **);

public:
  tutApp(char* name) : vApp(name) { }
  virtual ~tutApp() { }
  virtual vWindow* NewAppWin(vWindow *win, char *name, int h, int w,
			     vAppWinInfo *winInfo);
  virtual void Exit(void);
  virtual void CloseAppWin(vWindow *win);
  virtual void AppCommand(vWindow *win, ItemVal id, ItemVal val,
			  CmdType cType);
protected:

private:

};
#endif
