// tutils.h

// definitions for utility functions

// Convert all occurrences of character c1 to c2 in string s
void StrSub(char *s, int c1, int c2);

// Return the minimum of two values.
template <class T>
inline T Min(T x, T y)
{
  return (x < y) ? x : y;
}

// return base name of a file
// e.g. given "/foo/bar/file.c" return "file.c"
// assumes Unix style pathnames
char *BaseName(char *path);
