/* Form definition file generated with fdesign. */

#include "forms.h"
#include "mm.h"

FL_FORM *main_window;

FL_OBJECT
        *file_menu,
        *edit_menu,
        *tempo,
        *page,
        *timer,
	*channel_0[8],
	*channel_1[8],
	*channel_2[8],
	*channel_3[8],
	*channel_4[8],
	*channel_5[8],
	*channel_6[8],
	*channel_7[8];

void create_form_main_window(void)
{
  FL_OBJECT *obj;

  if (main_window)
     return;

  main_window = fl_bgn_form(FL_NO_BOX,370,400);
  obj = fl_add_box(FL_UP_BOX,0,0,370,400,"");
  obj = fl_add_box(FL_DOWN_BOX,20,280,80,30,"Channel 0");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  obj = fl_add_frame(FL_UP_FRAME,10,370,350,20,"");
  file_menu = obj = fl_add_menu(FL_PULLDOWN_MENU,10,370,40,20,"File");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fl_set_object_callback(obj,file_menu_cbk,0);
  edit_menu = obj = fl_add_menu(FL_PULLDOWN_MENU,60,370,40,20,"Edit");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fl_set_object_callback(obj,edit_menu_cbk,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,20,20,60,30,"Play");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_callback(obj,play_button_cbk,0);
  tempo = obj = fl_add_valslider(FL_HOR_NICE_SLIDER,180,20,170,30,"Tempo");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_align(obj,FL_ALIGN_TOP);
  fl_set_object_callback(obj,tempo_slider_cbk,0);
  page = obj = fl_add_counter(FL_NORMAL_COUNTER,220,320,130,30,"Page");
  fl_set_object_color(obj,FL_COL1,FL_BLACK);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_align(obj,FL_ALIGN_TOP);
  fl_set_object_callback(obj,page_button_cbk,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,100,20,60,30,"Stop");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_callback(obj,stop_button_cbk,0);
  timer = obj = fl_add_timer(FL_HIDDEN_TIMER,160,320,50,30,"Timer");
  fl_set_object_callback(obj,timer_cbk,0);
  obj = fl_add_text(FL_NORMAL_TEXT,20,320,190,40,"Music Machine");
  fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_HUGE_SIZE);
    fl_set_object_align(obj,FL_ALIGN_CENTER);
  fl_set_object_lstyle(obj,FL_TIMESBOLDITALIC_STYLE+FL_SHADOW_STYLE);
  channel_0[0] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,100,280,30,30,"");
  fl_set_object_callback(obj,channel_0_cbk,0);
  channel_0[1] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,130,280,30,30,"");
  fl_set_object_callback(obj,channel_0_cbk,1);
  channel_0[2] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,160,280,30,30,"");
  fl_set_object_callback(obj,channel_0_cbk,2);
  channel_0[3] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,190,280,30,30,"");
  fl_set_object_callback(obj,channel_0_cbk,3);
  channel_0[4] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,220,280,30,30,"");
  fl_set_object_callback(obj,channel_0_cbk,4);
  channel_0[5] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,250,280,30,30,"");
  fl_set_object_callback(obj,channel_0_cbk,5);
  channel_0[6] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,280,280,30,30,"");
  fl_set_object_callback(obj,channel_0_cbk,6);
  channel_0[7] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,310,280,30,30,"");
  fl_set_object_callback(obj,channel_0_cbk,7);
  channel_1[0] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,100,250,30,30,"");
  fl_set_object_callback(obj,channel_1_cbk,0);
  channel_1[1] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,130,250,30,30,"");
  fl_set_object_callback(obj,channel_1_cbk,1);
  channel_1[2] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,160,250,30,30,"");
  fl_set_object_callback(obj,channel_1_cbk,2);
  channel_1[3] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,190,250,30,30,"");
  fl_set_object_callback(obj,channel_1_cbk,3);
  channel_1[4] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,220,250,30,30,"");
  fl_set_object_callback(obj,channel_1_cbk,4);
  channel_1[5] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,250,250,30,30,"");
  fl_set_object_callback(obj,channel_1_cbk,5);
  channel_1[6] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,280,250,30,30,"");
  fl_set_object_callback(obj,channel_1_cbk,6);
  channel_1[7] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,310,250,30,30,"");
  fl_set_object_callback(obj,channel_1_cbk,7);
  channel_2[0] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,100,220,30,30,"");
  fl_set_object_callback(obj,channel_2_cbk,0);
  channel_3[0] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,100,190,30,30,"");
  fl_set_object_callback(obj,channel_3_cbk,0);
  channel_4[0] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,100,160,30,30,"");
  fl_set_object_callback(obj,channel_4_cbk,0);
  channel_5[0] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,100,130,30,30,"");
  fl_set_object_callback(obj,channel_5_cbk,0);
  channel_6[0] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,100,100,30,30,"");
  fl_set_object_callback(obj,channel_6_cbk,0);
  channel_7[0] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,100,70,30,30,"");
  fl_set_object_callback(obj,channel_7_cbk,0);
  channel_2[1] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,130,220,30,30,"");
  fl_set_object_callback(obj,channel_2_cbk,1);
  channel_2[2] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,160,220,30,30,"");
  fl_set_object_callback(obj,channel_2_cbk,2);
  channel_2[3] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,190,220,30,30,"");
  fl_set_object_callback(obj,channel_2_cbk,3);
  channel_2[4] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,220,220,30,30,"");
  fl_set_object_callback(obj,channel_2_cbk,4);
  channel_2[5] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,250,220,30,30,"");
  fl_set_object_callback(obj,channel_2_cbk,5);
  channel_2[6] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,280,220,30,30,"");
  fl_set_object_callback(obj,channel_2_cbk,6);
  channel_2[7] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,310,220,30,30,"");
  fl_set_object_callback(obj,channel_2_cbk,7);
  channel_3[1] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,130,190,30,30,"");
  fl_set_object_callback(obj,channel_3_cbk,1);
  channel_3[2] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,160,190,30,30,"");
  fl_set_object_callback(obj,channel_3_cbk,2);
  channel_3[3] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,190,190,30,30,"");
  fl_set_object_callback(obj,channel_3_cbk,3);
  channel_3[4] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,220,190,30,30,"");
  fl_set_object_callback(obj,channel_3_cbk,4);
  channel_3[5] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,250,190,30,30,"");
  fl_set_object_callback(obj,channel_3_cbk,5);
  channel_3[6] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,280,190,30,30,"");
  fl_set_object_callback(obj,channel_3_cbk,6);
  channel_3[7] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,310,190,30,30,"");
  fl_set_object_callback(obj,channel_3_cbk,7);
  channel_4[2] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,160,160,30,30,"");
  fl_set_object_callback(obj,channel_4_cbk,2);
  channel_4[3] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,190,160,30,30,"");
  fl_set_object_callback(obj,channel_4_cbk,3);
  channel_4[4] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,220,160,30,30,"");
  fl_set_object_callback(obj,channel_4_cbk,4);
  channel_4[5] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,250,160,30,30,"");
  fl_set_object_callback(obj,channel_4_cbk,5);
  channel_4[6] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,280,160,30,30,"");
  fl_set_object_callback(obj,channel_4_cbk,6);
  channel_4[7] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,310,160,30,30,"");
  fl_set_object_callback(obj,channel_4_cbk,7);
  channel_5[1] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,130,130,30,30,"");
  fl_set_object_callback(obj,channel_5_cbk,1);
  channel_5[2] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,160,130,30,30,"");
  fl_set_object_callback(obj,channel_5_cbk,2);
  channel_5[3] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,190,130,30,30,"");
  fl_set_object_callback(obj,channel_5_cbk,3);
  channel_5[4] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,220,130,30,30,"");
  fl_set_object_callback(obj,channel_5_cbk,4);
  channel_5[5] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,250,130,30,30,"");
  fl_set_object_callback(obj,channel_5_cbk,5);
  channel_5[6] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,280,130,30,30,"");
  fl_set_object_callback(obj,channel_5_cbk,6);
  channel_5[7] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,310,130,30,30,"");
  fl_set_object_callback(obj,channel_5_cbk,7);
  channel_6[1] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,130,100,30,30,"");
  fl_set_object_callback(obj,channel_6_cbk,1);
  channel_6[2] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,160,100,30,30,"");
  fl_set_object_callback(obj,channel_6_cbk,2);
  channel_6[3] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,190,100,30,30,"");
  fl_set_object_callback(obj,channel_6_cbk,3);
  channel_6[4] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,220,100,30,30,"");
  fl_set_object_callback(obj,channel_6_cbk,4);
  channel_6[5] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,250,100,30,30,"");
  fl_set_object_callback(obj,channel_6_cbk,5);
  channel_6[6] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,280,100,30,30,"");
  fl_set_object_callback(obj,channel_6_cbk,6);
  channel_6[7] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,310,100,30,30,"");
  fl_set_object_callback(obj,channel_6_cbk,7);
  channel_7[1] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,130,70,30,30,"");
  fl_set_object_callback(obj,channel_7_cbk,1);
  channel_7[2] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,160,70,30,30,"");
  fl_set_object_callback(obj,channel_7_cbk,2);
  channel_7[3] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,190,70,30,30,"");
  fl_set_object_callback(obj,channel_7_cbk,3);
  channel_7[4] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,220,70,30,30,"");
  fl_set_object_callback(obj,channel_7_cbk,4);
  channel_7[5] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,250,70,30,30,"");
  fl_set_object_callback(obj,channel_7_cbk,5);
  channel_7[6] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,280,70,30,30,"");
  fl_set_object_callback(obj,channel_7_cbk,6);
  channel_7[7] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,310,70,30,30,"");
  fl_set_object_callback(obj,channel_7_cbk,7);
  channel_4[1] = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,130,160,30,30,"");
  fl_set_object_callback(obj,channel_4_cbk,1);
  obj = fl_add_box(FL_DOWN_BOX,20,250,80,30,"Channel 1");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  obj = fl_add_box(FL_DOWN_BOX,20,220,80,30,"Channel 2");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  obj = fl_add_box(FL_DOWN_BOX,20,190,80,30,"Channel 3");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  obj = fl_add_box(FL_DOWN_BOX,20,160,80,30,"Channel 4");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  obj = fl_add_box(FL_DOWN_BOX,20,130,80,30,"Channel 5");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  obj = fl_add_box(FL_DOWN_BOX,20,100,80,30,"Channel 6");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  obj = fl_add_box(FL_DOWN_BOX,20,70,80,30,"Channel 7");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fl_end_form();
}

/*---------------------------------------*/

FL_FORM *sample_window;

FL_OBJECT
        *audio_device,
        *sampling_rate,
        *sample_dir,
	*sample_file[16];

void create_form_sample_window(void)
{
  FL_OBJECT *obj;

  if (sample_window)
     return;

  sample_window = fl_bgn_form(FL_NO_BOX,360,400);
  obj = fl_add_box(FL_UP_BOX,0,0,360,400,"");
  sample_file[0] = obj = fl_add_input(FL_NORMAL_INPUT,50,200,126,20,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_callback(obj,sample_file_cbk,0);
  sample_file[1] = obj = fl_add_input(FL_NORMAL_INPUT,50,180,126,20,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_callback(obj,sample_file_cbk,1);
  sample_file[2] = obj = fl_add_input(FL_NORMAL_INPUT,50,160,126,20,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_callback(obj,sample_file_cbk,2);
  sample_file[3] = obj = fl_add_input(FL_NORMAL_INPUT,50,140,126,20,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_callback(obj,sample_file_cbk,3);
  sample_file[4] = obj = fl_add_input(FL_NORMAL_INPUT,50,120,126,20,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_callback(obj,sample_file_cbk,4);
  sample_file[5] = obj = fl_add_input(FL_NORMAL_INPUT,50,100,126,20,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_callback(obj,sample_file_cbk,5);
  sample_file[6] = obj = fl_add_input(FL_NORMAL_INPUT,50,80,126,20,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_callback(obj,sample_file_cbk,6);
  sample_file[7] = obj = fl_add_input(FL_NORMAL_INPUT,50,60,126,20,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_callback(obj,sample_file_cbk,7);
  obj = fl_add_text(FL_NORMAL_TEXT,50,220,126,20,"Sample File");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_align(obj,FL_ALIGN_CENTER);
  fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,20,220,20,20,"@3line");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  obj = fl_add_button(FL_NORMAL_BUTTON,80,20,70,30,"Apply");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_callback(obj,samples_apply_cbk,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,200,20,70,30,"Dismiss");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_callback(obj,samples_dismiss_cbk,0);
  audio_device = obj = fl_add_input(FL_NORMAL_INPUT,140,320,90,20,"Audio Device:");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_callback(obj,audio_device_cbk,0);
  obj = fl_add_text(FL_NORMAL_TEXT,140,360,90,30,"Options");
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
  fl_set_object_lstyle(obj,FL_BOLD_STYLE+FL_SHADOW_STYLE);
  sampling_rate = obj = fl_add_input(FL_INT_INPUT,140,290,90,20,"Sampling Rate:");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_callback(obj,sampling_rate_cbk,0);
  obj = fl_add_text(FL_NORMAL_TEXT,230,290,30,20,"Hz");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  obj = fl_add_button(FL_NORMAL_BUTTON,20,200,20,20,"0");
  fl_set_object_callback(obj,test_sample_cbk,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,20,180,20,20,"1");
  fl_set_object_callback(obj,test_sample_cbk,1);
  obj = fl_add_button(FL_NORMAL_BUTTON,20,160,20,20,"2");
  fl_set_object_callback(obj,test_sample_cbk,2);
  obj = fl_add_button(FL_NORMAL_BUTTON,20,140,20,20,"3");
  fl_set_object_callback(obj,test_sample_cbk,3);
  obj = fl_add_button(FL_NORMAL_BUTTON,20,120,20,20,"4");
  fl_set_object_callback(obj,test_sample_cbk,4);
  obj = fl_add_button(FL_NORMAL_BUTTON,20,100,20,20,"5");
  fl_set_object_callback(obj,test_sample_cbk,5);
  obj = fl_add_button(FL_NORMAL_BUTTON,20,80,20,20,"6");
  fl_set_object_callback(obj,test_sample_cbk,6);
  obj = fl_add_button(FL_NORMAL_BUTTON,20,60,20,20,"7");
  fl_set_object_callback(obj,test_sample_cbk,7);
  sample_dir = obj = fl_add_input(FL_NORMAL_INPUT,140,260,160,20,"Sample Directory:");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_callback(obj,sample_dir_cbk,0);
  sample_file[8] = obj = fl_add_input(FL_NORMAL_INPUT,220,200,126,20,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_callback(obj,sample_file_cbk,8);
  sample_file[9] = obj = fl_add_input(FL_NORMAL_INPUT,220,180,126,20,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_callback(obj,sample_file_cbk,9);
  sample_file[10] = obj = fl_add_input(FL_NORMAL_INPUT,220,160,126,20,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_callback(obj,sample_file_cbk,10);
  sample_file[11] = obj = fl_add_input(FL_NORMAL_INPUT,220,140,126,20,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_callback(obj,sample_file_cbk,11);
  sample_file[12] = obj = fl_add_input(FL_NORMAL_INPUT,220,120,126,20,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_callback(obj,sample_file_cbk,12);
  sample_file[13] = obj = fl_add_input(FL_NORMAL_INPUT,220,100,126,20,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_callback(obj,sample_file_cbk,13);
  sample_file[14] = obj = fl_add_input(FL_NORMAL_INPUT,220,80,126,20,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_callback(obj,sample_file_cbk,14);
  sample_file[15] = obj = fl_add_input(FL_NORMAL_INPUT,220,60,126,20,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_callback(obj,sample_file_cbk,15);
  obj = fl_add_text(FL_NORMAL_TEXT,220,220,126,20,"Sample File");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_align(obj,FL_ALIGN_CENTER);
  fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,190,220,20,20,"@3line");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  obj = fl_add_button(FL_NORMAL_BUTTON,190,200,20,20,"8");
  fl_set_object_callback(obj,test_sample_cbk,8);
  obj = fl_add_button(FL_NORMAL_BUTTON,190,180,20,20,"9");
  fl_set_object_callback(obj,test_sample_cbk,9);
  obj = fl_add_button(FL_NORMAL_BUTTON,190,160,20,20,"A");
  fl_set_object_callback(obj,test_sample_cbk,10);
  obj = fl_add_button(FL_NORMAL_BUTTON,190,140,20,20,"B");
  fl_set_object_callback(obj,test_sample_cbk,11);
  obj = fl_add_button(FL_NORMAL_BUTTON,190,120,20,20,"C");
  fl_set_object_callback(obj,test_sample_cbk,12);
  obj = fl_add_button(FL_NORMAL_BUTTON,190,100,20,20,"D");
  fl_set_object_callback(obj,test_sample_cbk,13);
  obj = fl_add_button(FL_NORMAL_BUTTON,190,80,20,20,"E");
  fl_set_object_callback(obj,test_sample_cbk,14);
  obj = fl_add_button(FL_NORMAL_BUTTON,190,60,20,20,"F");
  fl_set_object_callback(obj,test_sample_cbk,15);
  fl_end_form();
}

/*---------------------------------------*/

FL_FORM *about_window;


void create_form_about_window(void)
{
  FL_OBJECT *obj;

  if (about_window)
     return;

  about_window = fl_bgn_form(FL_NO_BOX,330,220);
  obj = fl_add_box(FL_UP_BOX,0,0,330,220,"");
  obj = fl_add_text(FL_NORMAL_TEXT,30,150,190,40,"Music Machine");
    fl_set_object_lsize(obj,FL_HUGE_SIZE);
  fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_SHADOW_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,40,130,140,20,"version 1.0");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  obj = fl_add_clock(FL_ANALOG_CLOCK,240,140,70,60,"");
  obj = fl_add_text(FL_NORMAL_TEXT,40,100,120,20,"by Jeff Tranter");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
  fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,40,80,220,20,"for the Linux Multimedia Guide");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
  obj = fl_add_button(FL_NORMAL_BUTTON,130,20,70,30,"Dismiss");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  fl_set_object_callback(obj,about_dismiss_cbk,0);
  fl_end_form();
}

/*---------------------------------------*/

void create_the_forms(void)
{
  create_form_main_window();
  create_form_sample_window();
  create_form_about_window();
}

