# **************** makefile **************************
#  This file contains the information necessary for   #
#  the compiler and linker to create the object file  #
#  for library archive in the UNIX.                   #
#                                                     #
#  by HamBag                                          #
#######################################################

CFLAGS = -DUNIXMODE -I/opt/nms/hambag/include -I/opt/nms/mex/include -M3 
ME2LIB = /opt/nms/mex/lib/libme2.a
CMPLR = cc
TARGET = dsp1

#-----------------------------------------------------------
all : lib${TARGET}.a
#-----------------------------------------------------------

lib${TARGET}.a : ${TARGET}.o
	ar -rv lib${TARGET}.a ${TARGET}.o

${TARGET}.o : ${TARGET}.c 
	${CMPLR} -c ${CFLAGS}  ${ME2LIB} ${TARGET}.c
#-----------------------------------------------------------
clean:
	'rm' $*.o
