
###-------------------------------------------------------------###
###  Program Name : odo       	 				###
###								###
###  Copyrights 						###
###  reserved by Bo-kyun Na (bkna@top.cis.syr.edu)		###
###-------------------------------------------------------------###
###  USAGE:							###
###  To run a makefile: make -f odo.mk	 			###
###  To clean:          make -f odo.mk clean			###
###-------------------------------------------------------------###

PGRM=   odo_main

### compiler
CC = gcc

###
###  Target Object Files
###
OBJS=	odo_main.o \
	odo.o

	#vdoconf.o \
	#codec.o \
	#err_handler.o \
	#get_arg.o \
	#init_camera.o
	#dcmap.o \
	#ddither.o \
	#display.o \


###
###  Additional Flags/Libraries
###
CFLAGS += -g -O -I./include -I/usr/demo/SOUND/include
LDLIBS += -lxil -lX11 -lm -lotiaudio /usr/demo/SOUND/lib/libaudio.a

###------------------------------------------------------------------------
all: $(PGRM)
###------------------------------------------------------------------------
$(PGRM): $(OBJS) 
	${LINK.c} $(LDFLAGS) $(OBJS) -o $@ $(LDLIBS) 

clean: 
	rm -f core $(OBJS)

###------------------------------------------------------------------------
