#define NUM_DID_DIGITS 4  /* Central office sends this digit */
#define NUM_DEST_DIGITS 4 /* the # of called */

#ifdef unix
#include <unistd.h>
#endif

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include "mixed.h"
#include "me2def.h"
#include "me2err.h"

#define FALSE 0
#define TRUE  1
#define REMOTE_ANSWER LPCURON
#define REMOTE_HANGUP LPCUROFF
#define MAXWAIT   60000L
#define FOREVER   (-1L)

/* Message Numbers */
#define MWELCOME        1
#define MGOODBYE        2
#define MMENU           3
#define MCALLEE_NUM     4	
#define MSEL2           5
#define MSEL3           6
#define MSEL4           7
#define MINVALID        8
#define MPMPT1          9
#define MPMPT2         10
#define MAUTH          11
#define MRECORD         1

/*xx- GLOBALS-xx*/
ME2INT Vmsg = -1;           /* Voice file handles.*/
ME2INT Vrec = -1;
ME2INT Answered = 0;        /*xx- set in waitdone-xx*/
ME2INT Hungup   = 0;        /*xx- set in waitdone-xx*/
ME2INT LastCallprogevent = 0;   /*xx- set in waitdone-xx*/
ME2INT Voice = 0;           /*xx- set in waitdone-xx*/
ME2INT Trunk;               /* for tone detection (port #;0 for demo) */
short  trunk_type = 255;    /* for tone and ogt (3 for T1) */
char   digits[NUM_DEST_DIGITS+1];    /* dest. dial # */
short  Maxrec = 10;	    /*  maximum voice recording sec. */
char Vmsgfil[20];           /* Name of voice file containing prompts used by demo.*/
char Vrecfil[80];           /* Name of voice file to record test message to. */
