;*****************************************************************************
; FILE:        DSP.PRO
; DESCRIPTION: This file contains application specific information pertaining
;              to parameter definitions for a particular installation
;              of the HBdsp program.  This is the .PRO file that is modified
;              according to the individual needs of the user.  Changes to
;              things such as recording compression level, and maximum
;              recording time should be changed here.
;
;              The DSP program explicitly loads this .PRO file using
;              Me2ParmLoad.  Refer to HBdsp.C.
;
;*****************************************************************************

voice.compression = 4    ; Highest voice quality
beep.tone_on      = 15   ; Shorter beep tone on record
dsp.max_record   = 30   ; Use 30 second limit on record instead of default.
dsp.trunk         = 0    ; trunk port number
dsp.trunk_type    = 3    ; trunk type for T1 board
;*****************************************************************************
