
#***************** makefile ***********************#
#                                                  #
#  This file contains the information necessary    #
#  for the compiler and linker to create callprocs #
#  from callprocs.c in the UNIX executable.        #
#                                                  #
#  Made by Bo-kyun Na in HamBag.                   # 
#                                                  #
#**************************************************#

CFLAGS = -DUNIXMODE  -I/amd/capella/a/users/bkna/tmp/callprocs/include -M3 
#LIBDIR = /opt/nms/mex/lib
ME2LIB = /amd/capella/a/users/bkna/tmp/callprocs/lib/libme2.a
#DSPLIB = /usr/bkna/hambag/lib/libdsp1.a
CMPLR = cc
TARGET = dti1

#-----------------------------------------------------------------------
all : ${TARGET}
#-----------------------------------------------------------------------
${TARGET} : ${TARGET}.o 
	${CMPLR} ${TARGET}.o ${DSPLIB} ${ME2LIB} -o ${TARGET} -lx
${TARGET}.o : ${TARGET}.c
	${CMPLR} -c ${CFLAGS} ${TARGET}.c
#-----------------------------------------------------------------------
clean:
	rm ${*}.o
#-----------------------------------------------------------------------
