#include    <unistd.h>
#include    <stdlib.h>
#include    <string.h>
#include    <errno.h>
#include    <fcntl.h>
#include    <stdio.h>
#include    "vbxdrv.h"       /* vbx driver */

void sndmsg(int dh, int dest, unsigned short m); 

main(int argc, char **argv)
    {
    char dn[40];
    int dh ;
    int dest ;
    int c ;

    if (argc <= 1)
        dest = 0;
    else
        dest = atoi (argv[1]) ;

    strcpy (dn, "/dev/vbxesndmsg") ;
    if ((dh=open(dn ,O_RDONLY)) == -1)   /* Open the device */
        {
        printf("Can't open %s.\n",dn);
        exit(0);
        }

    while ((c=getchar()) != EOF)
        {
        sndmsg (dh, dest, (unsigned short)(0x8000+c)) ;
        }
    close(dh);
    return 0;
    }


void sndmsg(int dh, int dest, unsigned short m)
    {

    PARMBLOCK rp;

    rp.hdr.nparm = 2;              /* 2 wd parms for SNDMSG */
    rp.hdr.dir = 0 ;               /* No data */

    rp.parm[0] = (unsigned short)dest;
    rp.parm[1] = m ;

    if ( ioctl(dh, SNDMSG, &rp) == -1 )
        {
        printf("Error issuing IOCTL command = %d.\n",errno);
        close(dh);
        exit(1);
        }

    }

