/****************************************************************************
FILE:       utils.h

****!!!!THIS MODULE FOR CUSTOMER USE!!!!****
AUTHOR:     Donna Read
CREATED:    891116

mru:

****!!!!EXCISE ABOVE FOR CUSTOMER USE!!!!****

DESCRIPTION:
            Definitions and global information need by the VBX(tm)
            voice utilities.

UPDATES:

Copyright (c) 1989 Natural Microsystems Corporation.  All rights reserved.
****************************************************************************/

#define  CALLOUT    1      /* Call to remote phone for voice I/O.      */
#define  LPHONE     2      /* Use local phone/audio jack.              */
#define  CALLIN     3      /* Call in for voice I/O.                   */
#define  CR         0x000d /* ( For compatiblity ).                    */
#define  ESC        0x001b /* ESC   - to terminate record session.     */
#define  ANYLINE    -1     /* First available line found.              */
#define  GRP0        0     /* Group containing all lines.              */
#define  LASTGRP    15     /* Dummy group for specific line request.   */
#define  DIALSTRLEN 30     /* Max length of dial string for connection */
#define  MAXIDX     "VOICE.MAX_INDEX"

#if !defined (unix) || defined (__STDC__) /* not Interactive Unix */

int    doCallSpv( void );
void   doexit( int );
void   LineRq_Err( int );
void   main( int, char ** );
int    recordmsg( int, int, int );
void   ShowErr( char *, int );
int    waitevent( int );

#else /* INTERACTIVE prototypes */

void   doexit( );
void   LineRq_Err( );
void   main( );
void   ShowErr( );

#endif /* prototypes */
