/***************************************************************************
 * VideoConferencing Tool 
 *      on Linux X Window (with v4l2 driver)
 *      all rights reserved 
 *      by Bo-kyun Na (bkna@npac.syr.edu), IntellActive Research Inc.
 ***************************************************************************
 *	gcc -o vdo -L/usr/X11R6/lib/ -lXt -lXaw -Wall vdo.c
 ***************************************************************************/

#define STREAMBUFS	4

#include "vdo.h"
#include "h261.h" 

/* *************************************************************************
 * Function : int main (int argc, char *argv[])
 *
 * ************************************************************************* */
void main (int argc, char **argv)
{
  int vid;
  int xdepth = 0;
  int argi;
  int insize, first=1, userno = 0;
  Widget viewport;
  XtAppContext	app;
  V4L2 v4l2;
  VIMAGE vimage[STREAMBUFS];
  GC imagegc;
  char inbuf[VDO_WIDTH * VDO_HEIGHT * 3/2]; 
  char outbuf[VDO_WIDTH * VDO_HEIGHT * 3/2];
  uchar *y, *u, *v;


  y = inbuf;
  u = &inbuf[VDO_WIDTH * VDO_HEIGHT];
  v = &inbuf[VDO_WIDTH * VDO_HEIGHT * 5/4];

  v4l2.req.count = 1;		/* Num of requested window displays */

  imagegc =			/* Init. and format of xwindow display */
    BV_init_display (vid, &app, &xdepth, &viewport, &v4l2, argc, argv, vimage);

  init_decoder ();		/* Initilization of H261 decoder */

  for (;;) {
    YUV2RGB(vimage[0].data, y, u, v, VDO_WIDTH, VDO_HEIGHT);

    insize = ;

    decode_frame (outbuf, insize, vimage[1].data, first, userno);

    BV_display_vdoframe (&viewport, &vimage[1], &imagegc, &v4l2, &app);
  }
}





