// tcmdwin.h

// definitions for command window

#ifndef TCMDWIN_H
#define TCMDWIN_H

#include <v/vcmdwin.h>
#include <v/vmenu.h>
#include <v/vstatusp.h>
#include <v/vcmdpane.h>

#ifdef vDEBUG
#include <v/vdebug.h>
#endif

#include "tcanvas.h"

class tCmdWindow : public vCmdWindow
{
  friend int AppMain(int, char **);

public:
  tCmdWindow(char *, int, int);
  virtual ~tCmdWindow();
  virtual void WindowCommand(ItemVal id, ItemVal val, CmdType cType);

protected:

private:
  vMenuPane *myMenu;
  tCanvasPane *myCanvas;
  vStatusPane *myStatus;
  vCommandPane *myCmdPane;
};
#endif
