
###-------------------------------------------------------------###
###  Program Name : cam2display 				###
###								###
###  Copyrights 						###
###  reserved by Bo-kyun Na (bkna@top.cis.syr.edu)		###
###-------------------------------------------------------------###
###  USAGE:							###
###  To run a makefile: make -f cam2display.mk 			###
###  To clean:          make -f cam2display.mk clean		###
###-------------------------------------------------------------###

PGRM=   cpc

### compiler
CC = gcc

###
###  Target Object Files
###
OBJS=	cpc.o \
	codec.o \
	dcmap.o \
	ddither.o \
	err_handler.o \
	get_arg.o \
	display.o \
	init_camera.o

###
###  Additional Flags/Libraries
###
CFLAGS += -g -O -I./include
LDLIBS += -lxil -lX11 -lm

### if you don't have XILDIR set, we look in default place
#XILDIR = 
#XIL_INSTALL_PT=/opt/SUNWits/Graphics-sw/xil
#OWINDIR =
#CFLAGS = -I$(XILDIR)/include -I$(XIL_INSTALL_PT)/include -I$(OWINDIR)/include -D_REENTRANT
#LIBS = -L$(XILDIR)/lib -L$(XIL_INSTALL_PT)/lib -L$(OWINDIR)/lib -R $(XIL_INSTALL_PT)/lib:/usr/openwin/lib

###------------------------------------------------------------------------
all: $(PGRM)
###------------------------------------------------------------------------
$(PGRM): $(OBJS) 
	${LINK.c} $(LDFLAGS) $(OBJS) -o $@ $(LDLIBS) 

clean: 
	rm -f core $(OBJS)

###------------------------------------------------------------------------
