

#include <stdio.h>
#include <errno.h>
#include <string.h>
#include <math.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/param.h>
#include <sys/file.h>
#include <sys/filio.h>
#include <sys/stat.h>
#include <sys/signal.h>
#include <sys/ioctl.h>
#include <stropts.h>

#include <sys/audioio.h>

#include <multimedia/libaudio.h>
#include <multimedia/audio_device.h>
#include <multimedia/audio_encode.h>

#include "oti_libaudio.h"
#include "oti_audio_device.h"

#define MAX_BUFFER_SIZE (1024*4)

enum MODE {PLAY, REC};

enum MODE aud_mode = PLAY;

int Audio_fd    = -1;
int Audioctl_fd = -1;
int input_fd  = -1;
int output_fd   = -1;

int aud_amnt = 0;
int byte_count = 0;
int recording = 0;
int playing = 0;
int poll_enabled = 0;
int hash_amt = 0;
int hash_cnt = 0;

char  filename[80];
char  aud_data[MAX_BUFFER_SIZE];
char *aud_ptr = aud_data;

int format   = 0;
int rate     = 8000;
int channels = 1;
  
  unsigned int port = AUDIO_LINE_IN;
unsigned int buffer_size = 1000;
  
double  igain = 0.125;
double  mgain = 0.0;
double  ogain = 1.0;

  char  audctl_device[80];
  char info[120];
  char* aud_device = "/dev/o1k0";
  
  Audio_hdr hdr;
  Audio_info tmpinfo;

