
#include <stdio.h>

void usage(char *name, char *badparam)
{
  if (badparam)
    fprintf(stderr, "ERROR: bad parameter [%s]\n", badparam);
  
  fprintf(stderr, "\
Usage: %s [options]\n\n\
Legal Options:					 Default\n\
	-D %%s	- name of o1k device		 /dev/o1k0\n\
	-I %%d	- select input channel		 1\n\
        -c %%s  - Compression type               Jpeg\n\
                    [ H261 | Jpeg | Mpeg1 ]      \n\
	-f %%d	- frames to capture		 100\n\
	-h %%d	- capture subimage height	 480\n\
	-i %%d	- frames to skip between capture 0\n\
        -m %%d	- max frames to buffer		 2\n\
        -o %%s  - save bitstream in a file       NULL\n\
        -r %%d  - playback frame rate            0\n\
        -s %%d	- shrink factor			 2\n\
	-w %%d	- capture subimage width	 640\n\
        -x %%d	- x window location		 (random)\n\
        -y %%d	- y window location		 (random)\n\
H261 Options:                                    \n\
        -Q %%d  - max quantization               10\n\
        -b %%d  - bitrate in kbits/sec           256\n\
Mpeg1 Options:                                   \n\
        -R %%d  - rate control flag              1\n\
        -Q %%d  - fixed quantization value       10\n\
        -b %%d  - bitrate in kbits/sec           2000\n\
Video Attributes:                                \n\
        -B %%d  - brightness                     (-128 ~ 127)\n\
        -C %%d  - contrast                       (0 ~ 511)\n\
        -H %%d  - hue                            (-128 ~ 127)\n\
        -U %%d  - saturation/gain U component    (0 ~ 511)\n\
        -V %%d  - saturation/gain V component    (0 ~ 511)\n\
        -v %%d  - colormap/dither version (0=XIL std, 1=XIL gamma corrected\n\
Legal Switches:                                     \n\
        -E      - exit on first error               \n\
	-d	- don't display result of capture   \n\
        -e      - exit when done playing            \n\
	-g	- display in Black/White (no color) \n\
        -z      - for compression                   \n\
", name);

  exit(1);
}



