/* sccsid = "SCCS: @(#)packet.h 1.7 92/11/13" */

#ifndef PACKET_H
#define PACKET_H

#define PACKETSIZE 1150
#define PACKETDATASIZE (PACKETSIZE - sizeof(PacketHeader))
#define CHANNEL_BASE 3752

#define MAXPACKETS 16		/* size of PacketHeader.flags in bits */

typedef unsigned char Byte;

typedef struct {
    unsigned int session;
    unsigned int frame;
    unsigned short size;
    unsigned short flags;
    unsigned short x, y;
} PacketHeader;

typedef struct {
    PacketHeader header;
    Byte data[PACKETDATASIZE];
} PacketType;

typedef struct {
    PacketHeader header;
    Byte data[PACKETDATASIZE * (MAXPACKETS + 5)];
} BigPacketType;

#define VIDEO_PACKET 1
#endif	/* PACKET_H */
