/* $Id: loopback.h 1.7 1998/09/25 19:03:34 scl Initial_Build $ */
/*************************************************************
 ** File: File Long Name ($RCSfile: loopback.h $)
 **
 ** ($ Revision: $)
 **
 ** Abstract:
 **   Header file.
 ** 
 **   Copyright (c) 1998, MultiMedia Access Corp
 **                     Osprey Technologies Division
 *************************************************************/
#ifndef LOOPBACK_H
#define LOOPBACK_H

#include "opi.h"

#define APP_OK     0
#define APP_ERROR -1

extern int VIDEO_WIDTH;
extern int VIDEO_HEIGHT;
extern char* VIDEO_FORMAT;

extern int WINDOW_WIDTH;
extern int WINDOW_HEIGHT;

class CLoopback
{
public:
	CLoopback();
	~CLoopback();
	int Loopback();
private:
	OPISystem*   opi;
	OPIPipeline* pipeline;
	OPIWindow*   localWin;
	OPIWindow*   decompWin;
};
#endif //LOOPBACK_H
