/* $Id: play.h 1.6 1998/10/21 14:05:43 scl Initial_Build $ */
/****************************************************************
 ** File: File Long Name ($RCSfile: play.h $)
 **
 ** ($$)
 **
 ** Abstract:
 **   Header File.
 **   
 ** Copyright (c) 1998, MultiMedia Access Corp
 **                     Osprey Technologies Division
 ****************************************************************/
#ifndef PLAY_H
#define PLAY_H

#include "opi.h"

#define APP_OK     0
#define APP_ERROR -1

class CPlay
{
public:
  CPlay();
  ~CPlay();
  void setVideoFile(char* filename) { videofile = filename; };
  int PlayBack();
  static void CALLBACK DoneBuffer(OPIBuffer* buffer, void* userData);
  
private:
  OPIPipeline* pipeline;
  OPIWindow* window;
  int num_queued;
  OPISystem* opi;
  char* videofile;
};

#endif // PLAY_H
