/* $Id: record.h 1.7 1998/10/21 14:39:07 scl Initial_Build $ */
/*************************************************************
 ** File: File Long Name ($RCSfile: record.h $)
 **
 ** ($ Revision: $)
 **
 ** Abstract:
 **    Header File.
 ** 
 **   Copyright (c) 1998, MultiMedia Access Corp
 **                     Osprey Technologies Division
 *************************************************************/
#ifndef RECORD_H
#define RECORD_H

#include "opi.h"

#define APP_OK     0
#define APP_ERROR -1

#ifdef SOLARIS
#define BOOL int
#endif

class CRecord
{
public:
  CRecord();
  ~CRecord();
  void setVideoFile(char* filename) { videofile = filename; }
  void setLocalView(BOOL flag) { localview = flag; }
  int Record(int framecount);
  static void CALLBACK SaveBuffer(OPIBuffer* buffer, void* userData);
  
private:
  OPIPipeline* pipeline;
  int buffers_saved;
  OPISystem* opi;
  FILE* fd;
  OPIWindow* window;
  char* videofile;
  BOOL localview;	
};

#endif // RECORD_H
