/* $Id: play.h 1.6 1998/07/27 18:56:29 ott Initial_Build $ */
/*****************************************************************************
 ** File: File Long Name ($RCSfile: play.h $)
 **
 ** ($Revision: 1.6 $)
 **
 ** Abstract:
 **   Header file.
 **
 ** Revision History:
 **   $Log: play.h $
 **   Revision 1.6  1998/07/27 18:56:29  ott
 **   Minor coding standard change.
 **
 ** Copyright (c) 1998, MultiMedia Access Corp. - Osprey Systems Division
 ****************************************************************************/
#include "opi.h"

#define APP_OK     1
#define APP_ERROR -1

class CPlay
{
public:
  CPlay();
  ~CPlay();
  void setVideoFile(char* filename) { videofile = filename; };
  int PlayBack(char* colorFormat, int colorDepth, int w, int h);
  static void CALLBACK DoneBuffer(OPIBuffer* buffer, void* userData);
	
private:
  OPIPipeline* pipeline;
  int num_queued;
  OPISystem* opi;
  char* videofile;
};

