// tutils.cpp

// miscellaneous utility routines

#include <string.h>

// Convert all occurrences of character c1 to c2 in string s
void StrSub(char *s, int c1, int c2)
{
  while (*s) {
    if (*s == c1)
      *s = c2;
    s++;
  }
}

// return base name of a file
// e.g. given "/foo/bar/file.c" return "file.c"
// assumes Unix style pathnames
char *BaseName(char *path)
{
  if (strrchr(path, '/'))
    return strrchr(path, '/')+1;
  else
    return path;
}
