
#include <stdio.h>

void usage(char *name, char *badparam)
{
  if (badparam)
    fprintf(stderr, "ERROR: bad parameter [%s]\n", badparam);
  
  fprintf(stderr, "\
Usage: %s [options]\n\n\
Legal Options:					 Default\n\
        -s %%d	- shrink factor			 2\n\
	-I %%d	- select input channel		 1\n\
	-f %%d	- frames to capture		 100\n\
	-w %%d	- capture subimage width	 640\n\
	-h %%d	- capture subimage height	 480\n\
	-i %%d	- frames to skip between capture 0\n\
        -m %%d	- max frames to buffer		 2\n\
        -x %%d	- x window location		 (random)\n\
        -y %%d	- y window location		 (random)\n\
	-D %%s	- name of o1k device		 /dev/o1k0\n\
Video Attributes:                                \n\
        -B %%d  - brightness                     none\n\
        -C %%d  - contrast                       none\n\
        -H %%d  - hue                            none\n\
        -U %%d  - saturation/gain U component    none\n\
        -V %%d  - saturation/gain V component    none\n\
        -c %%d  - colormap/dither version (0=XIL std, 1=XIL gamma corrected\n\
Legal Switches:\n\
        -E      - exit on first error  \n\
	-d	- don't display result of capture \n\
", name);

  exit(1);
}



